// Author: fengshengxiong
// Date: 2024/6/26
// Description: firebase_analytics管理

import 'package:firebase_analytics/firebase_analytics.dart';
import 'package:flutter_translate/common/utils/log_utils.dart';

class FirebaseAnalyticsManager {
  /// 埋点
  /// name：事件名
  /// parameters：业务参数
  static void logEvent(String eventName, {Map<String, Object>? parameters}) {
    try {
      FirebaseAnalytics.instance.logEvent(
        name: eventName,
        parameters: parameters,
      );
    } catch (e) {
      Log.d(e.toString());
    }
  }

  /// 启动事件：启动时上传
  static void logLaunch() {
    logEvent('launch');
  }

  /// 首页PV：首页曝光上传
  static void logHomepage() {
    logEvent('homepage');
  }

  /// 加载页PV：加载页面曝光上传
  static void logLoadingPage() {
    logEvent('loading_page');
  }

  /// 广告展示：所有的广告位只要有广告成功展示出来就上传一条
  static void logAdsShow() {
    logEvent('ads_show');
  }
}
